# The NixOS Installer

This installer is named after my doggo Onyxia.

At the core of this installer it does the following:

- Partition the drive of your choice using the `rsfdisk` crate.
- Uses `flake.nix` to set certain modules depending on the system like nixos-hardware for the Pinebook Pro
- Installs a base of NixOS (`configuration.nix`)

nix files are from [this repo](https://gitlab.com/ahoneybun/nix-configs/) but that can be changed as needed.

This sets the hashedPassword to my own so you will need to update it to match your own as well as the username. I created the hash with this command:

```bash
mkpasswd -m sha-512
```

# Usage

1. Boot from a live disk of NixOS (ideally the minimal image)
2. Connect to network
3. Download from the releases page using curl

```bash
curl $PATH
```

# Development

![docs/development](https://gitlab.com/ahoneybun/nyxi-installer/-/blob/rust-rewrite/docs/development.md)
